/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 *
 * This software is dual-licensed to you under the MIT License (MIT) and
 * the Universal Permissive License (UPL). See the LICENSE file in the root
 * directory for license terms. You may choose either license, or both.
 */

#include <algorithm>
#include <stdexcept>
#include <iostream>

namespace iotdcl {
    void checkResult(iotcs_result rv, const char *msg);
    void checkResult(iotcs_result rv);

    template< typename T >
    struct delete_pointer_element
    {
        void operator()( T element ) const
        {
            delete element;
        }
    };
};

